Package org.eclipse.birt.report.model.api.validators

# Class DataSetNameRequiredValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.DataSetNameRequiredValidatorImpl
org.eclipse.birt.report.model.api.validators.DataSetNameRequiredValidator

public class DataSetNameRequiredValidator extends DataSetNameRequiredValidatorImpl
Validates the data set name of scalar parameter is required.

### Rule

The rule is that DATASET_NAME_PROP is required when LABEL_EXPR_PROP or VALUE_EXPR_PROP is provided.

### Applicability

This validator is only applied to `ScalarParameter`.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`DataSetNameRequiredValidator()`

## Method Summary

Modifier and Type
Method
Description
`static DataSetNameRequiredValidator`
`getInstance()`
Returns the singleton validator instance.

### Methods inherited from class org.eclipse.birt.report.model.api.validators.DataSetNameRequiredValidatorImpl

`validate`

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSetNameRequiredValidator

public DataSetNameRequiredValidator()

## Method Details

### getInstance

public static DataSetNameRequiredValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance